Bug 13679 - If you have overdues that match a rule, and have some items due in the future they are included in the list of overdues
Summary: If you have overdues that match a rule, and have some items due in the future...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 12529
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-07 04:04 UTC by Chris Cormack
Modified: 2015-12-03 22:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13679 : Bug in listing overdues (1.17 KB, patch)
2015-02-07 04:06 UTC, Chris Cormack
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13679 : Bug in listing overdues (1.23 KB, patch)
2015-02-17 19:49 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 13679 : Bug in listing overdues (1.28 KB, patch)
2015-02-19 10:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2015-02-07 04:04:12 UTC

    
Comment 1 Chris Cormack 2015-02-07 04:06:29 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2015-02-13 19:42:55 UTC
I tried testing but cannot recreate

Patron has items due: 2 days ago, yesterday, today, and 2 weeks in future

Notice triggers at 1,5 and 10 days

Running script with -csv and I only see the two overdues
I checked the message queue and see the same there

testing on kohadevbox
Comment 3 Jonathan Druart 2015-02-16 08:23:15 UTC
Did you launch with or without the -t parameter?
Comment 4 Nick Clemens 2015-02-16 20:19:08 UTC
(In reply to Jonathan Druart from comment #3)
> Did you launch with or without the -t parameter?

With -t I only see the item 2 days overdue
Without -t  I see the items due yesterday and 2 days before.
Comment 5 Jonathan Druart 2015-02-17 08:37:50 UTC
Nick,
Yes actually the test plan is not precis enough.
The problem comes from the 3rd overdue, so you need something like:
- Notice triggers at 1, 5, 10 days
- And items due 1, 2 days ago and 11+ (<90) days in the future.
Comment 6 Nick Clemens 2015-02-17 19:49:13 UTC Comment hidden (obsolete)
Comment 7 Nick Clemens 2015-02-17 19:50:02 UTC
(In reply to Jonathan Druart from comment #5)
> Nick,
> Yes actually the test plan is not precis enough.
> The problem comes from the 3rd overdue, so you need something like:
> - Notice triggers at 1, 5, 10 days
> - And items due 1, 2 days ago and 11+ (<90) days in the future.

Somehow leaving my VM over the weekend and coming back today made it trigger right. :-)
Comment 8 Jonathan Druart 2015-02-19 10:56:09 UTC
Created attachment 36020 [details] [review]
Bug 13679 : Bug in listing overdues

To test
1/ Create some overdues and some issues due in the future
2/ Run the overdues script
3/ Notice item due in the future is in the list
4/ Apply patch
5/ Run script again
6/ Notice in the future not in the list

Signed-off-by: Nick <Nick@quechelibrary.org>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 9 Jonathan Druart 2015-02-19 10:58:01 UTC
I am raising the severity of this bug.
I confirm it could affect the -t parameter also.
For instance, if you have a trigger at day = X and you have 2 overdue items due at today - X and today + X, both will be marked as late.
Comment 10 Tomás Cohen Arazi 2015-02-20 14:13:04 UTC
Patch pushed to master.

Thanks Chrïs!
Comment 11 Chris Cormack 2015-02-22 23:04:08 UTC
Pushed to 3.18.x will be in 3.18.4